#! /usr/local/bin/ruby -w
require 'RMagick'

# Demonstrate the Image#oil_paint method

img = Magick::Image.read('images/Grandma.jpg').first
img = img.scale(350.0/img.rows)

puts 'Adding oil paint effect. This will take a few seconds...'
img = img.oil_paint
#img.display
img.write('oil_paint.jpg')
exit
